Summary: Selintra SARK/SAIL Asterisk install
%define name smeserver-asterisk-zappri-MPP
Name: %{name}
%define version 1.2.2
%define release 1
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: KoKo <admin@selintra.com>
Buildroot: /var/tmp/e-smith-buildroot
BuildArchitectures: i686
Requires: smeserver-support 
AutoReqProv: no

%description

Selintra packaging of Zaptel and LibPri 1.2.2 for SME-Server 7.0 (CentOS 4.2) platforms.
Primarily built to be installed as part of an SME-Server SARK/SAIL platform.  

%prep
%setup
%build
%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%post
KVERS=`uname -r`
MODCONF=/etc/modprobe.conf
BASEADDR=0xd0000
MODULES='zaptel tor2 torisa wcusb wcfxo wctdm wctdm24xxp ztdynamic ztd-eth wct1xxp wct4xxp wcte11xp pciradio ztd-loc ztdummy'
PRIMARY=torisa
if [ $1 = 1 ]; then

	if [ -f $MODCONF ]; then
    		mv  -f $MODCONF $MODCONF.bak
	else
    		touch $MODCONF.bak
	fi

		cat $MODCONF.bak | grep -v "alias char-major-250" | grep -v "post-install torisa /sbin/ztcfg" | grep -v "post-install wcfxsusb /sbin/ztcfg" | grep -v "alias wctdm" | grep -v "post-install wctdm /sbin/ztcfg" > $MODCONF

	if ! grep "options torisa" $MODCONF; then 
    		echo "options torisa base=$BASEADDR" >> $MODCONF 
	fi
	if ! grep "alias char-major-196" $MODCONF; then 
    		echo "alias char-major-196 $PRIMARY" >> $MODCONF
	fi
	for x in $MODULES; do
    	if  ! grep -q "post-install $x" $MODCONF ; then
        if  ! grep -q "install $x " $MODCONF ; then
            if [ "$x" != "zaptel" ] ; then
                if [ -f /lib/modules/$KVERS/extra/zaptel.ko ]; then 
                    echo "install $x /sbin/modprobe --ignore-install $x && /sbin/ztcfg" >> $MODCONF
                else
                    echo "post-install $x /sbin/ztcfg" >> $MODCONF
                fi
            fi
        fi
    	fi    
	done
	if  ! grep "alias wcfxs" $MODCONF ; then 
    		echo "alias wcfxs wctdm" >> $MODCONF
	fi
	if  ! grep "alias wct2xxp" $MODCONF ; then 
    		echo "alias wct2xxp wct4xxp" >> $MODCONF
	fi
	if [ -f /sbin/depmod ]; then
    		/sbin/depmod
	fi
fi

%preun

if [ -f /etc/modprobe.conf.bak ]; then
   mv -f /etc/modprobe.conf.bak /etc/modprobe.conf
fi

%postun
if [ -f /sbin/depmod ]; then
    /sbin/depmod
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
